


<h1><a name="shell_script" id="shell_script">Shell Script</a></h1>
<div class="level1">

<p>

<a href="http://en.wikipedia.org/wiki/Shell_script" class="interwiki iw_wp" title="http://en.wikipedia.org/wiki/Shell_script">Shell Script</a>
</p>
<div class="plugin_uparrow">
  <a href="#" title="Back to top">
    <img src="lib/plugins/uparrow/images/tango-small.png" alt="Back to top"/>
  </a>
</div>

</div>
<!-- SECTION "Shell Script" [1-62] -->
<h2><a name="examples" id="examples">Examples</a></h2>
<div class="level2">
<dl class="file">
<dt><a href="/~kssilveira/site/doku.php?do=export_code&amp;id=languages:shell_script&amp;codeblock=0" title="Download Snippet" class="mediafile mf_sh">run.sh</a></dt>
<dd><pre class="code file bash"><span class="co0">#!/bin/bash</span>
<span class="re2">dir_names</span>=<span class="br0">&#40;</span><span class="st0">&quot;tcp/null&quot;</span> <span class="st0">&quot;tcp/sort&quot;</span> <span class="st0">&quot;udp/null&quot;</span><span class="br0">&#41;</span>
<span class="kw1">for</span> d <span class="kw1">in</span> <span class="br0">&#123;</span>0..2<span class="br0">&#125;</span>
<span class="kw1">do</span>
	<span class="re2">dir_name</span>=<span class="co1">${dir_names[$d]}</span>
	<span class="kw3">echo</span> <span class="st0">&quot;<span class="es2">$dir_name</span>&quot;</span>
	<span class="kw2">mv</span> <span class="st0">&quot;<span class="es2">$dir_name</span>/out.txt&quot;</span> <span class="st0">&quot;<span class="es2">$dir_name</span>/out.bak.txt&quot;</span>
	<span class="kw1">for</span> j <span class="kw1">in</span> <span class="br0">&#123;</span>0..3<span class="br0">&#125;</span>
	<span class="kw1">do</span>
		<span class="co0">#echo &quot;$j&quot;</span>
		<span class="kw1">for</span> i <span class="kw1">in</span> <span class="br0">&#123;</span>0..9<span class="br0">&#125;</span>
		<span class="kw1">do</span>
			<span class="co0">#echo &quot;$i&quot;</span>
			<span class="kw1">if</span> <span class="br0">&#91;</span> <span class="st0">&quot;<span class="es2">$d</span>&quot;</span> = <span class="st0">&quot;8&quot;</span> <span class="br0">&#93;</span> <span class="sy0">||</span> <span class="br0">&#91;</span> <span class="st0">&quot;<span class="es2">$d</span>&quot;</span> = <span class="st0">&quot;9&quot;</span> <span class="br0">&#93;</span>
			<span class="kw1">then</span>
				<span class="kw3">cd</span> <span class="st0">&quot;<span class="es2">$dir_name</span>&quot;</span>
				java Client 143.54.12.150:<span class="nu0">808</span><span class="st0">&quot;<span class="es2">$d</span>&quot;</span> <span class="sy0">&gt;&gt;</span> <span class="st0">&quot;out.txt&quot;</span>
				<span class="kw3">cd</span> <span class="st0">&quot;../../&quot;</span>
			<span class="kw1">else</span>
				.<span class="sy0">/</span><span class="st0">&quot;<span class="es2">$dir_name</span>/client&quot;</span> 143.54.12.150 <span class="nu0">808</span><span class="st0">&quot;<span class="es2">$d</span>&quot;</span> <span class="sy0">&gt;&gt;</span> <span class="st0">&quot;<span class="es2">$dir_name</span>/out.txt&quot;</span>
			<span class="kw1">fi</span>
		<span class="kw1">done</span>
		<span class="kw2">sleep</span> 60
	<span class="kw1">done</span>
	.<span class="sy0">/</span>calc.rb <span class="st0">&quot;<span class="es2">$dir_name</span>/out.txt&quot;</span>
<span class="kw1">done</span></pre>
</dd></dl>
<dl class="file">
<dt><a href="/~kssilveira/site/doku.php?do=export_code&amp;id=languages:shell_script&amp;codeblock=1" title="Download Snippet" class="mediafile mf_sh">run_tests.sh</a></dt>
<dd><pre class="code file bash"><span class="co0">#!/bin/bash</span>
<span class="kw1">for</span> prog <span class="kw1">in</span> <span class="sy0">*</span>.pico
<span class="kw1">do</span>
	<span class="kw3">echo</span> <span class="st0">&quot;<span class="es2">$prog</span>&quot;</span>
	<span class="re2">prog_name</span>=<span class="co1">${prog%\.*}</span>
	.<span class="sy0">/</span>run_test.sh <span class="st0">&quot;<span class="es2">$prog_name</span>&quot;</span>
<span class="kw1">done</span></pre>
</dd></dl>
<dl class="file">
<dt><a href="/~kssilveira/site/doku.php?do=export_code&amp;id=languages:shell_script&amp;codeblock=2" title="Download Snippet" class="mediafile mf_sh">run_test.sh</a></dt>
<dd><pre class="code file bash"><span class="co0">#!/bin/bash</span>
<span class="kw1">if</span> <span class="kw3">test</span> <span class="re4">$#</span> <span class="re5">-ne</span> 1
<span class="kw1">then</span>
	<span class="kw3">echo</span> <span class="st0">&quot;usage: $0 program_name&quot;</span>
	<span class="kw3">echo</span> <span class="st0">&quot;given: $*&quot;</span>
<span class="kw1">else</span>
	<span class="re2">prog_name</span>=$1
	.<span class="sy0">/</span>..<span class="sy0">/</span>..<span class="sy0">/</span>src<span class="sy0">/</span>pico <span class="re5">-o</span> <span class="st0">&quot;<span class="es2">$prog_name</span>.tac&quot;</span> <span class="st0">&quot;<span class="es2">$prog_name</span>.pico&quot;</span>
<span class="kw1">fi</span></pre>
</dd></dl>
<div class="plugin_uparrow">
  <a href="#" title="Back to top">
    <img src="lib/plugins/uparrow/images/tango-small.png" alt="Back to top"/>
  </a>
</div>

</div>
<!-- SECTION "Examples" [63-961] -->
<h2><a name="books" id="books">Books</a></h2>
<div class="level2">

<p>
<a href="/~kssilveira/site/lib/exe/fetch.php?media=languages:canivete-shell.pdf" class="media mediafile mf_pdf" title="languages:canivete-shell.pdf">Canivete Shell</a>

</p>
<div class="plugin_uparrow">
  <a href="#" title="Back to top">
    <img src="lib/plugins/uparrow/images/tango-small.png" alt="Back to top"/>
  </a>
</div>

</div>
<!-- SECTION "Books" [962-] -->